org.apache.hc.client5.http.entity.mime

## Class FormBodyPartBuilder

- java.lang.Object
- - org.apache.hc.client5.http.entity.mime.FormBodyPartBuilder

-     public class FormBodyPartBuilder
      extends Object

  Builder for individual `FormBodyPart`s.
  Since:
    4.4

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FormBodyPartBuilder` | `addField(String name, String value)`
    `FormBodyPartBuilder` | `addField(String name, String value, List<org.apache.hc.core5.http.NameValuePair> parameters)`
    `FormBodyPart` | `build()`
    `static FormBodyPartBuilder` | `create()`
    `static FormBodyPartBuilder` | `create(String name, ContentBody body)`
    `FormBodyPartBuilder` | `removeFields(String name)`
    `FormBodyPartBuilder` | `setBody(ContentBody body)`
    `FormBodyPartBuilder` | `setField(String name, String value)`
    `FormBodyPartBuilder` | `setName(String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static FormBodyPartBuilder create(String name,
                                                   ContentBody body)

    - #### create

          public static FormBodyPartBuilder create()

    - #### setName

          public FormBodyPartBuilder setName(String name)

    - #### setBody

          public FormBodyPartBuilder setBody(ContentBody body)

    - #### addField

          public FormBodyPartBuilder addField(String name,
                                              String value,
                                              List<org.apache.hc.core5.http.NameValuePair> parameters)

      Since:
        4.6

    - #### addField

          public FormBodyPartBuilder addField(String name,
                                              String value)

    - #### setField

          public FormBodyPartBuilder setField(String name,
                                              String value)

    - #### removeFields

          public FormBodyPartBuilder removeFields(String name)

    - #### build

          public FormBodyPart build()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.